### Method

# Handy ValueObject dup_string

since: 1.0

#### Declaration [src]

    gchar*
    hdy_value_object_dup_string (
      HdyValueObject* value
    )

#### Description [src]

Gets a copy of the contained string if the value is of type `G_TYPE_STRING`.

Available since: 1.0

#### Return value

Type: `gchar*`

A copy of the contained string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.